Name:           enlightenment
Version:        0.17.3.9e26000
Release:        5%{?dist}
Summary:        Highly optimized and extensible desktop shell

Group:          User Interface/Desktops
License:        MIT
URL:            http://enlightenment.org/p.php?p=about/e17&l=en
Source0:        http://download.enlightenment.org/snapshots/2009-06-14/%{name}-%{version}.tar.bz2
Patch0:		      enlightenment-sysactions.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libX11-devel libXext-devel pkgconfig gettext doxygen
BuildRequires:  eet-devel embryo-devel evas-devel ecore-devel edje-devel
BuildRequires:  efreet-devel e_dbus-devel pam-devel libeina-devel
BuildRequires:  exchange-devel alsa-lib-devel eeze-devel eeze eio-devel
BuildRequires:	pm-utils xcb-util-keysyms-devel
Obsoletes:      e_modules-xkbswitch
Requires:		pm-utils

%description
Enlightenment 0.17 is desktop shell based on Enlightenment Foundation
Libraries. It's highly optimized and provides extensive theming capabilities.
A Desktop shell means it's a window manager plus a file manager, plus 
configuration utilitys all in one. It works reasonably fast even on old and low
range computers, providing eye-candy environment.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       eet-devel evas-devel ecore-devel edje-devel e_dbus-devel
Requires:       pkgconfig efreet-devel libeina-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
%patch0 -p1
# strip out bundled vera font, it doesn't support national glyphs
#rm -r data/fonts
sed -i \
  -e '\|CONFIG_FILES="\$CONFIG_FILES data/fonts/Makefile"|d' \
  -e 's|data/fonts/Makefile||' \
  configure #; chmod +x configure
#sed -i -e 's|fonts||' data/Makefile.in
# remove font aliases to make edje fall back to default font (dejavu)
#sed -i -e '\|\.ttf|d' data/{init,themes}/default.edc
# backport enlightenment.pc.in fix from trunk
#sed -i -e 's|Libs:\ .*$|Libs: -L${libdir}|' enlightenment.pc.in


%build
%configure --disable-static --disable-ofono --disable-connman --disable-mount-eeze
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'
# config.h is used only while building E itself
sed -i -e '\|#include\ "config.h"|d' $RPM_BUILD_ROOT%{_includedir}/%{name}/e.h
find $RPM_BUILD_ROOT -name '*.la' -delete
# remove improperly placed docs
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}/doc
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}/AUTHORS
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}/COPYING
# remove enlightenment_sys which is broken anyway
#rm -rf $RPM_BUILD_ROOT%{_bindir}/%{name}_sys
#rm -rf $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/sysactions.conf
%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_bindir}/%{name}
%{_bindir}/%{name}_*
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/enlightenment_filemanager.desktop
%{_datadir}/xsessions/%{name}.desktop
%{_sysconfdir}/%{name}
%{_sysconfdir}/xdg/menus/enlightenment.menu


%files devel
%defattr(-,root,root,-)
# originally improperly placed docs
%doc doc/*.txt doc/*.html doc/*.png
#%{_bindir}/%{name}-config
%{_includedir}/%{name}
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/pkgconfig/everything.pc


%changelog
* Wed Dec 15 2010 Vasile Chelban <vchelban@fedoramd.org> 0.16.999.063-5
- BR: eeze-devel

* Sun May 09 2010 Chelban Vasile <vchelban@fedoramd.org> 0.16.999.063-4
- disable connman and ophono unavailable in Fedora

* Sun Mar 21 2010 Chelban Vasile <vchelban@fedoramd.org> 0.16.999.063-3
- BR exchange again

* Sat Mar 06 2010 Chelban Vasile <vchelban@fedoramd.org> 0.16.999.063-2
- don't BR exchange

* Mon Dec 07 2009 Chelban Vasile <vchelban@fedoramd.org> 0.16.999.063-1
- version bump

* Fri Oct 16 2009 Vasile Chelban <vchelban@fedoramd.org> 0.16.999.062-4
- reenable sysactions and provide Fedora specific settings

* Thu Aug 20 2009 Chelban Vasile <vchelban@fedoramd.org> 0.16.999.061-3
- add everything.pc to -devel subpackage

* Fri Jul 17 2009 Vasile Chelban <vchelban@fedoramd.org> 0.16.999.061-2
- BR: alsa-lib-devel

* Wed Jul 15 2009 Vasile Chelban <vchelban@fedoramd.org> 0.16.999.061-1
- BR: exchange

* Thu Mar 12 2009 Chelban Vasile <vchelban@fedoramd.org> 0.16.999.050-3
- renamed eina to libeina

* Mon Feb 16 2009 Chelban Vasile <vchelban@fedoramd.org> 0.16.999.050-2
- BuildRequires: eina-devel
- remove englightenment-config

* Sun Nov 30 2008 Pavel "Stalwart" Shevchuk - 0.16.999.050-1
- New upstream snapshot

* Sun Nov 23 2008 Pavel "Stalwart" Shevchuk - 0.16.999.043-4
- Changed summary to be more descriptive

* Sat Aug 30 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.16.999.043-3
- One more directory ownership fix
- Backported enlightenment.pc.in from trunk
- Strip unneeded config.h include from e.h

* Sat Jul 26 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.16.999.043-2
- Added missing efreet-devel require to enlightenment-devel
- Removed broken enlightenment_sys
- Removed more improperly placed docs
- Fixed directory ownership

* Mon May 20 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.16.999.043-1
- Initial specfile for Enlightenment
